WABT(1) | General Commands Manual | WABT(1)

# NAME

wasm2wat — translate from the binary format to the text format

# SYNOPSIS

wasm2wat | [options] file

# DESCRIPTION

wasm2wat does the inverse of wat2wasm, translate from the binary format back to the text format (also known as a .wat).
The options are as follows:

-v, --verbose
  Use multiple times for more info
--help
  Print a help message
-o, --output=FILENAME
  Output file for the generated wast file, by default use stdout
-f, --fold-exprs
  Write folded expressions where possible
--enable-exceptions
  Experimental exception handling
--disable-mutable-globals
  Import/export mutable globals
--enable-saturating-float-to-int
  Saturating float-to-int operators
--enable-sign-extension
  Sign-extension operators
--enable-simd
  SIMD support
--enable-threads
  Threading support
--inline-exports
  Write all exports inline
--inline-imports
  Write all imports inline
--no-debug-names
  Ignore debug names in the binary file
--generate-names
  Give auto-generated names to non-named functions, types, etc.
--no-check
  Don't check for invalid modules

# EXAMPLES

Parse binary file test.wasm and write text file test.wast
`$ wasm2wat test.wasm -o test.wat`
Parse test.wasm, write test.wat, but ignore the debug names, if any
`$ wasm2wat test.wasm --no-debug-names -o test.wat`

# SEE ALSO

wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

# BUGS

If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.

December 17, 2018 | Debian